tigase.xmpp.impl.push

## Class MutedFilter

- java.lang.Object
- - tigase.xmpp.impl.push.MutedFilter

- All Implemented Interfaces:
    PushNotificationsAware, PushNotificationsFilter

      @Bean(name="muted-filter",
            parent=PushNotifications.class,
            active=true)
      public class MutedFilter
      extends Object
      implements PushNotificationsFilter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`
    `static String` | `XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutedFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element[]` | `getDiscoFeatures()`
    `boolean` | `isSendingNotificationAllowed(BareJID userJid, XMPPResourceConnection session, Element pushServiceSettings, Packet packet)`
    `void` | `processEnableElement(Element enableEl, Element settingsEl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MutedFilter

          public MutedFilter()

  - ### Method Detail

    - #### getDiscoFeatures

          public Element[] getDiscoFeatures()

      Specified by:
        `getDiscoFeatures` in interface `PushNotificationsAware`

    - #### processEnableElement

          public void processEnableElement(Element enableEl,
                                           Element settingsEl)

      Specified by:
        `processEnableElement` in interface `PushNotificationsAware`

    - #### isSendingNotificationAllowed

          public boolean isSendingNotificationAllowed(BareJID userJid,
                                                      XMPPResourceConnection session,
                                                      Element pushServiceSettings,
                                                      Packet packet)

      Specified by:
        `isSendingNotificationAllowed` in interface `PushNotificationsFilter`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.